RTCPSenderInfo(3)

NAME
RTCPSenderInfo -

Sender block information of SR RTCP reports.

SYNOPSIS

#include <rtcppkt.h>

  Public Member Functions
RTCPSenderInfo (void *si)
RTCPSenderInfo (RTCPCompoundHandler::SenderInfo &si)
~RTCPSenderInfo ()
uint32 getNTPTimestampInt () const
Get integer part of the NTP timestamp of this packet.
uint32 getNTPTimestampFrac () const
Get fractional part of the NTP timestamp of this packet.
uint32 getRTPTimestamp () const
uint32 getPacketCount () const
Get count of sent data packets.
uint32 getOctetCount () const

Detailed Description

Sender block information of SR RTCP reports. Author:
    Federico Montesino Pouzols <fedemp@altern.org>

Constructor & Destructor Documentation

  RTCPSenderInfo::RTCPSenderInfo (void * si) [inline]

  RTCPSenderInfo::RTCPSenderInfo (RTCPCompoundHandler::SenderInfo & si) [inline]

  RTCPSenderInfo::~RTCPSenderInfo () [inline]

Member Function Documentation

  uint32 RTCPSenderInfo::getNTPTimestampFrac () const [inline]

Get fractional part of the NTP timestamp of this packet. See also:
    NTP2Timeval

  uint32 RTCPSenderInfo::getNTPTimestampInt () const [inline]

Get integer part of the NTP timestamp of this packet. See also:
    NTP2Timeval

  uint32 RTCPSenderInfo::getOctetCount () const [inline]

  uint32 RTCPSenderInfo::getPacketCount () const [inline]

Get count of sent data packets.

  uint32 RTCPSenderInfo::getRTPTimestamp () const [inline]

Author

Generated automatically by Doxygen for ccRTP from the source code.